Search Results for

Show / Hide Table of Contents

# Enum MouseFlags

Mouse flags reported in MouseEvent.

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    [Flags]
    public enum MouseFlags

##### Remarks

They just happen to map to the ncurses ones.

### Fields

Name | Description
--- | ---
AllEvents | Mask that captures all the events.
Button1Clicked | The first mouse button was clicked (press+release).
Button1DoubleClicked | The first mouse button was double-clicked.
Button1Pressed | The first mouse button was pressed.
Button1Released | The first mouse button was released.
Button1TripleClicked | The first mouse button was triple-clicked.
Button2Clicked | The second mouse button was clicked (press+release).
Button2DoubleClicked | The second mouse button was double-clicked.
Button2Pressed | The second mouse button was pressed.
Button2Released | The second mouse button was released.
Button2TripleClicked | The second mouse button was triple-clicked.
Button3Clicked | The third mouse button was clicked (press+release).
Button3DoubleClicked | The third mouse button was double-clicked.
Button3Pressed | The third mouse button was pressed.
Button3Released | The third mouse button was released.
Button3TripleClicked | The third mouse button was triple-clicked.
Button4Clicked | The fourth button was clicked (press+release).
Button4DoubleClicked | The fourth button was double-clicked.
Button4Pressed | The fourth mouse button was pressed.
Button4Released | The fourth mouse button was released.
Button4TripleClicked | The fourth button was triple-clicked.
ButtonAlt | Flag: the alt key was pressed when the mouse button took place.
ButtonCtrl | Flag: the ctrl key was pressed when the mouse button took place.
ButtonShift | Flag: the shift key was pressed when the mouse button took place.
ReportMousePosition | The mouse position is being reported in this event.
WheeledDown | Vertical button wheeled up.
WheeledLeft | Vertical button wheeled up while pressing ButtonShift.
WheeledRight | Vertical button wheeled down while pressing ButtonShift.
WheeledUp | Vertical button wheeled up.